# vim: set ft=spec: -*- rpm-spec -*-

%mingw_package

%define pkgname SDL

Name: %cross_arch-%pkgname
Version: 1.2.11
Release: alt1

Summary: %pkgname DLL for %cross_arch target
License: LGPL
Group: System/Libraries
Url: http://www.libsdl.org/download-1.2.php

Packager: Sir Raorn <raorn@altlinux.ru>

BuildArch: noarch

Source: %pkgname-%version.tar
Patch: %name-%version-%release.patch

BuildRequires(pre): i386-mingw32msvc-devel >= 0.0.2

# Automatically added by buildreq on Thu Oct 07 2004 (-bi)
BuildRequires: i386-mingw32msvc-binutils i386-mingw32msvc-gcc-c++ i386-mingw32msvc-runtime nasm

%package devel
Summary: Header files for developing apps which will use %pkgname
Group: Development/C
PreReq: %cross_arch-base
Conflicts: %name < %version-%release
Conflicts: %name > %version-%release

%package devel-static
Summary: Static %pkgname library for %cross_arch target
Group: Development/C
PreReq: %cross_arch-base
Requires: %name-devel = %version-%release

%description
This package contains %pkgname DLL built for %cross_arch target.

%description devel
%pkgname development files for crosscompiling to
%cross_arch target.

%description devel-static
Static version of %pkgname library for %cross_arch target.

%prep
%setup -q -n %pkgname-%version
%patch -p1

%build
#add_optflags -D__ELF__
%undefine __libtoolize
%configure \
	--prefix=%_archprefix \
	--includedir=%_archincludedir \
	--libdir=%_archlibdir \
	--enable-shared \
	--enable-static \
	%cross_env
%make_build

%install
%make_install install DESTDIR=%buildroot

# post-install cleanup
mv %buildroot%_bindir/sdl-config %buildroot%_bindir/%cross_arch-sdl-config
ln %buildroot%_bindir/%cross_arch-sdl-config %buildroot%_archbindir/sdl-config

rm -rf %buildroot%_mandir
rm -rf %buildroot%_datadir/aclocal

%cross_arch-strip --strip-unneeded %buildroot%_archbindir/*.dll
%cross_arch-strip --strip-unneeded %buildroot%_archlibdir/*.dll.a

%files
%_archbindir/SDL.dll

%files devel
%_bindir/%cross_arch-sdl-config
%_archbindir/sdl-config
%_archincludedir/*
%_archlibdir/libSDL.dll.a
%_archlibdir/libSDL.la
%_archlibdir/libSDLmain.a
%_archlibdir/pkgconfig/sdl.pc

%files devel-static
%_archlibdir/libSDL.a

%changelog
* Wed Dec 20 2006 Sir Raorn <raorn@altlinux.ru> 1.2.11-alt1
- [1.2.11]
- sdl-config moved to -devel, added %%_archbindir/sdl-config
- Added libSDL.la to -devel package
- Added sdl.pc to -devel package

* Mon May 23 2005 Sir Raorn <raorn@altlinux.ru> 1.2.8-alt1
- Synced with 1.2.8-alt1

* Wed Oct 06 2004 Sir Raorn <raorn@altlinux.ru> 1.2.7-alt2
- Built for %cross_arch target

* Tue Aug 03 2004 Anton Farygin <rider@altlinux.ru> 1.2.7-alt2
- x86_64 patch
- joistick fix from mdk (for kernel 2.6)

* Thu Mar 18 2004 Anton Farygin <rider@altlinux.ru> 1.2.7-alt1
- 1.2.7

* Mon Dec 15 2003 Anton Farygin <rider@altlinux.ru> 1.2.6-alt3
- added patch from Sir Raorn for correct 3DNow! detection (#3342)

* Mon Dec 01 2003 Rider <rider@altlinux.ru> 1.2.6-alt2
- rebuild without .la files 

* Mon Sep 01 2003 Rider <rider@altlinux.ru> 1.2.6-alt1
- new version

* Fri Aug 22 2003 Rider <rider@altlinux.ru> 1.2.5-alt2
- disable directfb and aa video support (#2668, #2670)

* Wed Oct 09 2002 Rider <rider@altlinux.ru> 1.2.5-alt1
- 1.2.5

* Mon Sep 23 2002 Rider <rider@altlinux.ru> 1.2.4-alt2
- rebuild with new gcc

* Sat Apr 27 2002 Rider <rider@altlinux.ru> 1.2.4-alt1
- alsa9 patch from MDK
- new version

* Fri Feb 22 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.2.3-alt2
- Fixed buildrequires.

* Sun Dec 09 2001 Rider <rider@altlinux.ru> 1.2.3-alt1
- 1.2.3

* Fri Jul 27 2001 Rider <rider@altlinux.ru> 1.2.2-alt1
- 1.2.2

* Thu Apr  5 2001 Kostya Timoshenko <kt@altlinux.ru> 1.2.0-alt1
- version 1.2.0
- removed old 1.0.8
- adapted rpath patch.
- Moved static libraries to devel-static subpackage.

* Wed Feb 14 2001 Kostya Timoshenko <kt@petr.kz> 1.1.8-ipl1mdk
- 1.1.8

* Tue Feb 06 2001 Dmitry V. Levin <ldv@fandra.org> 1.1.7-ipl2mdk
- Build with --enable-video-aalib.
- Explicitly set strip methods.
- Libification.

* Tue Jan  9 2001 Kostya Timoshenko <kt@petr.kz>
- 1.1.7

* Tue Dec 26 2000 Kostya Timoshenko <kt@petr.kz>
- Rebuild for RE

* Wed Nov 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.6-2mdk
- follow new lib policy, split packages with current and old versions

* Tue Oct 24 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.6-1mdk
- 1.1.6
- include man pages
- include html help

* Thu Oct 19 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.4-8mdk
- rebuild to fix sdl-config to not provide some rpath

* Fri Sep 29 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.1.4-7mdk
- rebuild with latest XFree 4.0.1 from FredL.

* Fri Sep 15 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.4-6mdk
- rebuild against fixed XFree4 by fredl

* Tue Aug 29 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.1.4-5mdk
- rebuild without %%configure.

* Mon Aug 28 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.1.4-4mdk
- fixed a typo in changelog.

* Mon Aug 28 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.1.4-3mdk
- use of configure and other macros.

* Sat Aug 25 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.1.4-2mdk
- removed Mesa-devel from BuildRequires and other entries listed twice.
- updated URL.

* Fri Aug 25 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.4-1mdk
- 1.1.4 (which fixes a bug in KDE according to the README for xmms-smpeg).

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.1.3-4mdk
- automatically added BuildRequires.

* Thu Jun 28 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.1.3-3mdk
- added old 1.0.X version for backward compatibility.

* Sat Jun 24 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.1.3-2mdk
- added some Requires.

* Thu Jun 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.1.3-1mdk
- v1.1.3.

* Thu May 18 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.8-4mdk
- don't use nasm on non Intel archs.

* Tue Apr 11 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.8-3mdk
- fixed the few problems

* Fri Apr 07 2000 Giuseppe Ghib <ghibo@mandrakesoft.com>
- changed group.

* Sat Mar 18 2000 Giuseppe Ghib <ghibo@mandrakesoft.com>
- updated to version 1.0.8.

* Tue Feb 09 2000 Giuseppe Ghib <ghibo@mandrakesoft.com>
- updated to version 1.0.4.

* Sat Feb 05 2000 Giuseppe Ghib <ghibo@linux-mandrake.com>
- updated for version 1.0.3.
- added BuildPreReq.

* Wed Jan 19 2000 Sam Lantinga <slouken@devolution.com>
- Re-integrated spec file into SDL distribution
- 'name' and 'version' come from configure
- Some of the documentation is devel specific
- Removed SMP support from %build - it doesn't work with libtool anyway

* Tue Jan 18 2000 Hakan Tandogan <hakan@iconsult.com>
- Hacked Mandrake sdl spec to build 1.1

* Sun Dec 19 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release

* Sat Dec 18 1999 John Buswell <johnb@mandrakesoft.com>
- Add symlink for libSDL-1.0.so.0 required by sdlbomber
- Added docs

* Thu Dec 09 1999 Lenny Cartier <lenny@mandrakesoft.com>
- v 1.0.0

* Mon Nov  1 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- First spec file for Mandrake distribution.

